Page MenuHomePhabricator

Don't drop hitcounter db schema in 1.25
Closed, ResolvedPublic

Description

Since I'm working on T74420: Turn hit counters (which were removed in 1.25) into an extension, it would be nice if the hitcounter schema updates could be removed from MW core for REL1_25. They don't need to be removed from core, though.

Otherwise, I anticipate lots of angry users who are because, even with the extension, we don't have a good upgrade path for users of the tarball.

Event Timeline

MarkAHershberger raised the priority of this task from to Needs Triage.
MarkAHershberger updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2015, 10:19 PM
demon added a comment.EditedApr 10 2015, 2:17 PM

No objections here to dropping the drop patch from REL1_25. Submit a patch :)

Change 203388 had a related patch set uploaded (by MarkAHershberger):
Don't drop the page count information for this release, push to 1.26

https://gerrit.wikimedia.org/r/203388

Change 203388 had a related patch set uploaded (by Martineznovo):
Don't drop the page count information for this release, push to 1.26

https://gerrit.wikimedia.org/r/203388

Kghbln added a subscriber: Kghbln.Apr 10 2015, 7:38 PM
demon triaged this task as High priority.Apr 10 2015, 7:39 PM

Change 203388 merged by jenkins-bot:
Don't drop the page count information for this release, push to 1.26

https://gerrit.wikimedia.org/r/203388

demon closed this task as Resolved.Apr 10 2015, 7:48 PM
demon claimed this task.

Why is it even needed to drop the table at all during the update?

Nemo_bis renamed this task from drop hitcounter db schema in 1.26 instead of 1.25 to Don't drop hitcounter db schema in 1.25.Nov 20 2016, 9:08 AM

Change 322495 had a related patch set uploaded (by Nemo bis):
Don't drop the hitcounter table (and related DB fields) during update

https://gerrit.wikimedia.org/r/322495